For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update tenant details

Update details for a tenant.

Required permissions: TENANT

put
/tenants/{tenantUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringOptional
pricelistUidstringOptionalPattern: ^[A-Za-z0-9-_]*
vatNumberstringOptional

VAT identification number for value added tax reporting purposes.

allowExternalCashDrawerbooleanOptional
autoLogoutintegerOptional

time in seconds, 0 means not enabled

autoPrintReceiptbooleanOptional
showOutOfStockWarningbooleanOptional
logoAssetUidstringOptionalPattern: ^[A-Za-z0-9-_]*
splashAssetUidstringOptionalPattern: ^[A-Za-z0-9-_]*
timezonestringOptional

The timezone in tz/zoneinfo format. Example: Europe/Oslo

numericSkuCounterintegerOptional
languageCodestringOptional

ISO 639-1 code for language

printCardPaymentDetailsbooleanOptional

toogle on/off payment terminal details on receipt

sendInvoicesExternallybooleanOptional
duplicateCheckCustomerPhoneNumberbooleanOptional

For PERSON customers: Check for unique phone number and email if true

duplicateCheckCustomerVatNumberbooleanOptional

For COMPANY customers: Check for unique vat number if true

defaultParkedOrderLifespanDaysintegerOptional

Default lifespan in days for parked orders before expiration

useOriginalSellerOnCreditLinebooleanOptional

toogle on/off if the original seller should be used in a existing referenced order

defaultCustomerGroupUidstringOptionalPattern: ^[A-Za-z0-9-_]*
autoSendWelcomeSmsbooleanOptional
autoSendWelcomeMailbooleanOptional
requirePinCodeForSalebooleanOptional
requirePinCodeForCreditbooleanOptional
printReceiptNumberbooleanOptional
enforceStrongPinbooleanOptional

For user's app PIN/password creation

helpUrlstring · uriOptional

URL opened by the client's help shortcut. Empty clears the tenant override, falling back to the client's default.

customerContactsRequiresEmailbooleanOptional

Indicate if the customer contacts requires email.

customerContactsEmailDuplicateCheckbooleanOptional

This will enable duplicate check on email for contacts, so it is not possible to have two contacts with the same email.

Responses
200

Example response

application/json
countryCodestringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
namestringRequired
pricelistUidstringRequiredPattern: ^[A-Za-z0-9-_]*
tenantUidstringRequiredPattern: ^[A-Za-z0-9-_]+
vatNumberstringRequired

VAT identification number for value added tax reporting purposes.

timezonestringRequired

The timezone in tz/zoneinfo format. Example: Europe/Oslo

languageCodestringRequired

ISO 639-1 code for language

put/tenants/{tenantUid}
PUT /v2/tenants/{tenantUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 931

{
  "name": "text",
  "pricelistUid": "text",
  "vatNumber": "text",
  "allowExternalCashDrawer": true,
  "autoLogout": 1,
  "autoPrintReceipt": true,
  "showOutOfStockWarning": true,
  "logoAssetUid": "text",
  "splashAssetUid": "text",
  "timezone": "text",
  "numericSkuCounter": 1,
  "languageCode": "text",
  "printCardPaymentDetails": true,
  "sendInvoicesExternally": true,
  "duplicateCheckCustomerPhoneNumber": true,
  "duplicateCheckCustomerVatNumber": true,
  "defaultParkedOrderLifespanDays": 1,
  "useOriginalSellerOnCreditLine": true,
  "defaultCustomerGroupUid": "text",
  "autoSendWelcomeSms": true,
  "autoSendWelcomeMail": true,
  "requirePinCodeForSale": true,
  "requirePinCodeForCredit": true,
  "printReceiptNumber": true,
  "requiredCustomerFields": [
    "email"
  ],
  "requiredCompanyFields": [
    "email"
  ],
  "requiredCompanyDepartmentFields": [
    "email"
  ],
  "requiredContactFields": [
    "email"
  ],
  "enforceStrongPin": true,
  "helpUrl": "https://example.com",
  "customerContactsRequiresEmail": true,
  "customerContactsEmailDuplicateCheck": true
}
200

Example response

{
  "countryCode": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "pricelistUid": "text",
  "tenantUid": "text",
  "vatNumber": "text",
  "settings": {
    "allowExternalCashDrawer": false,
    "autoLogout": 1,
    "autoPrintReceipt": true,
    "numericSkuCounter": 1,
    "printCardPaymentDetails": false,
    "sendInvoicesExternally": true,
    "duplicateCheckCustomerPhoneNumber": true,
    "duplicateCheckCustomerVatNumber": true,
    "useOriginalSellerOnCreditLine": true,
    "defaultCustomerGroupUid": "text",
    "printReceiptNumber": true,
    "requiredCustomerFields": [
      "email"
    ],
    "requiredCompanyFields": [
      "email"
    ],
    "requiredCompanyDepartmentFields": [
      "email"
    ],
    "requiredContactFields": [
      "email"
    ],
    "enforceStrongPin": true,
    "customerContactsRequiresEmail": true,
    "customerContactsEmailDuplicateCheck": true
  },
  "appSettings": {
    "showOutOfStockWarning": true,
    "defaultParkedOrderLifespanDays": 1,
    "requirePinCodeForSale": true,
    "requirePinCodeForCredit": true,
    "autoSendWelcomeSms": true,
    "autoSendWelcomeMail": true,
    "defaultCustomerGroupUid": "text",
    "helpUrl": "https://example.com"
  },
  "extensions": [
    {
      "extensionCode": "FLOWGIFTCARD",
      "name": "text",
      "active": true,
      "tenantExtensionUid": "text"
    }
  ],
  "assets": {
    "logo": {
      "url": "text",
      "assetUid": "text"
    },
    "splash": {
      "url": "text",
      "assetUid": "text"
    }
  },
  "timezone": "text",
  "languageCode": "text",
  "currency": {
    "code": "text",
    "name": "text",
    "symbol": "text",
    "symbolPosition": "text",
    "decimalSeparator": "text",
    "thousandSeparator": "text",
    "cashRounding": 1
  }
}

Last updated

Was this helpful?